import { IDBResult, DBResultWithColIndex, Column, IDBResultError } from './types/types';
import { DbEntity } from './types/entities';
import { DbEntityToDto } from './types/dto';
export declare function withColIndex(result: IDBResult): DBResultWithColIndex;
export declare const toListOfObjects: <T extends Record<string, any>>({ rows, headers, }: IDBResult) => T[];
export declare const entityToArray: (obj: Partial<DbEntity>, columns: Column[]) => string;
export declare const snakeToCamel: (str: string) => string;
export declare const camelToSnake: (str: string) => string;
export declare function transformToDto<T extends Record<string, any>>(dbEntity: T): DbEntityToDto<T>;
export declare function transformToDbEntity<T extends Record<string, any>>(dto: T): Partial<T>;
export declare function transformListToDbEntity<T extends Record<string, any>>(array: T[]): T[];
export declare function transformListToDto<T extends Record<string, any>>(array: T[]): T[];
export declare function removeUndefinedFields(entity: Record<string, any>): Record<string, any>;
export declare const dbResultToDtoList: (dbResult: IDBResult | IDBResultError) => {}[];
export declare function jsonifyFields(obj: Object, fields: string[]): Object;
export declare function clearIndexedDBStore(dbName: string, storeName: string): Promise<void>;
